Subject: Re: Last Call: draft-mcwalter-langtag-mib (Language Tag MIB) to Proposed Standard

From: Russ Housley <[email-masked]>
Date: Mon, 05 Mar 2007 16:54:12 -0500

> > Since tags of 1 character are never well-formed, I suggest that the
> > definition:
> >
> >   SYNTAX      OCTET STRING (SIZE (0..60))
> >
> > be amended to exclude the 1-character case.  I assume that a zero-length
> > tag, while also not defined in RFC 4646, was included in the I-D to
> > allow the special case of "no tag."
>
>AFAIK, ASN.1 does not allow sizes like (0, 2..60).  I wouldn't even
>bother with this change.

I tried this:

    FooString ::= OCTET STRING (SIZE (0 | 2..60))

And, it worked with two different ASN.1 compilers.

Russ

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf